{
  "version": "6.0",
  "nxVersion": "17.0.2",
  "deps": {
    "@angular/animations": "^16.2.0",
    "@angular/common": "^16.2.0",
    "@angular/compiler": "^16.2.0",
    "@angular/core": "^16.2.0",
    "@angular/forms": "^16.2.0",
    "@angular/platform-browser": "^16.2.0",
    "@angular/platform-browser-dynamic": "^16.2.0",
    "@angular/router": "^16.2.0",
    "@ng-bootstrap/ng-bootstrap": "^15.1.2",
    "@popperjs/core": "^2.11.6",
    "bootstrap": "^5.2.3",
    "localbase": "^0.7.5",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.13.0",
    "@angular-devkit/build-angular": "^16.2.7",
    "@angular-devkit/core": "^16.2.7",
    "@angular-devkit/schematics": "^16.2.7",
    "@angular/cli": "^16.2.7",
    "@angular/compiler-cli": "^16.2.0",
    "@angular/localize": "^16.2.0",
    "@nx/angular": "17.0.2",
    "@nx/workspace": "17.0.2",
    "@schematics/angular": "^16.2.7",
    "@types/jasmine": "~4.3.0",
    "jasmine-core": "~4.6.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "nx": "17.0.2",
    "typescript": "~5.1.3"
  },
  "pathMappings": {},
  "nxJsonPlugins": [],
  "fileMap": {
    "nonProjectFiles": [],
    "projectFileMap": {
      "DnDTools": [
        {
          "file": ".editorconfig",
          "hash": "6686520031028425313"
        },
        {
          "file": ".gitignore",
          "hash": "13044518069027839699"
        },
        {
          "file": ".nx/cache/d/daemon.log",
          "hash": "18355948912756307677"
        },
        {
          "file": ".nx/cache/d/server-process.json",
          "hash": "9983082871343903515"
        },
        {
          "file": ".nx/cache/file-map.json",
          "hash": "9900792181014271189"
        },
        {
          "file": ".nx/cache/lockfile.hash",
          "hash": "3031256915129888085"
        },
        {
          "file": ".nx/cache/parsed-lock-file.json",
          "hash": "9915467979133015002"
        },
        {
          "file": ".nx/cache/project-graph.json",
          "hash": "15146737115380369466"
        },
        {
          "file": ".nx/cache/terminalOutputs/7432115939749149833",
          "hash": "14573543500428186356"
        },
        {
          "file": ".vscode/extensions.json",
          "hash": "12343942279124280405"
        },
        {
          "file": ".vscode/launch.json",
          "hash": "17038929134016848735"
        },
        {
          "file": ".vscode/tasks.json",
          "hash": "5336636969995539451"
        },
        {
          "file": "README.md",
          "hash": "6920692509098209642"
        },
        {
          "file": "nx.json",
          "hash": "5732690817361915800"
        },
        {
          "file": "package-lock.json",
          "hash": "12351624403796548288"
        },
        {
          "file": "package.json",
          "hash": "10026730288563739498",
          "deps": [
            "npm:@angular/animations",
            "npm:@angular/common",
            "npm:@angular/compiler",
            "npm:@angular/core",
            "npm:@angular/forms",
            "npm:@angular/platform-browser",
            "npm:@angular/platform-browser-dynamic",
            "npm:@angular/router",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@popperjs/core",
            "npm:bootstrap",
            "npm:localbase",
            "npm:rxjs",
            "npm:tslib",
            "npm:zone.js",
            "npm:@angular-devkit/build-angular",
            "npm:@angular-devkit/core",
            "npm:@angular-devkit/schematics",
            "npm:@angular/cli",
            "npm:@angular/compiler-cli",
            "npm:@angular/localize",
            "npm:@nx/angular",
            "npm:@nx/workspace",
            "npm:@schematics/angular",
            "npm:@types/jasmine",
            "npm:jasmine-core",
            "npm:karma",
            "npm:karma-chrome-launcher",
            "npm:karma-coverage",
            "npm:karma-jasmine",
            "npm:karma-jasmine-html-reporter",
            "npm:nx",
            "npm:typescript"
          ]
        },
        {
          "file": "project.json",
          "hash": "7967809580263111365"
        },
        {
          "file": "src/app/app-routing.module.ts",
          "hash": "10620439397815806372",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/app.component.html",
          "hash": "17816966185630879015"
        },
        {
          "file": "src/app/app.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/app.component.spec.ts",
          "hash": "54367746414936956",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/app.component.ts",
          "hash": "847773178397485414",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/app.module.ts",
          "hash": "15078839737799430850",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/platform-browser",
            "npm:@ng-bootstrap/ng-bootstrap"
          ]
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.html",
          "hash": "3286065243366044578"
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.spec.ts",
          "hash": "1575763292948758813",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-creator/character-creator.component.ts",
          "hash": "9368400055638040956",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.html",
          "hash": "12304853873097907294"
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.scss",
          "hash": "5040677598369737038"
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.spec.ts",
          "hash": "11032404027571278000",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-card/character-card.component.ts",
          "hash": "2985427593493880223",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.html",
          "hash": "547267249883034873"
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.scss",
          "hash": "15827656153062132057"
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.spec.ts",
          "hash": "2217642125212177459",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/character/character-picker/character-picker.component.ts",
          "hash": "13733761456587781089",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character-routing.module.ts",
          "hash": "9665705541962393631",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/character/character.module.ts",
          "hash": "6772214276061344381",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/common",
            "npm:@angular/forms"
          ]
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.html",
          "hash": "6439012248240900307"
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.spec.ts",
          "hash": "3904178983936294585",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-character/journal-character.component.ts",
          "hash": "484563022130507679",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/infopanel/infopanel.component.html",
          "hash": "15507648206854746322"
        },
        {
          "file": "src/app/journal/journal-home/infopanel/infopanel.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-home/infopanel/infopanel.component.spec.ts",
          "hash": "8287300851978815782",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/infopanel/infopanel.component.ts",
          "hash": "6191474284103887814",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.html",
          "hash": "14219728532822502710"
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.scss",
          "hash": "16601989354777087839"
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.spec.ts",
          "hash": "17135233392077358862",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/journal-home.component.ts",
          "hash": "8352028232787482538",
          "deps": [
            "npm:@angular/core",
            "npm:@ng-bootstrap/ng-bootstrap"
          ]
        },
        {
          "file": "src/app/journal/journal-home/offcanvas/offcanvas.component.html",
          "hash": "9516853345827504784"
        },
        {
          "file": "src/app/journal/journal-home/offcanvas/offcanvas.component.scss",
          "hash": "8315091596399652739"
        },
        {
          "file": "src/app/journal/journal-home/offcanvas/offcanvas.component.spec.ts",
          "hash": "268260528943835366",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/offcanvas/offcanvas.component.ts",
          "hash": "2928905547859626335",
          "deps": [
            "npm:@angular/core",
            "npm:@ng-bootstrap/ng-bootstrap"
          ]
        },
        {
          "file": "src/app/journal/journal-home/tabbar/tabbar.component.html",
          "hash": "2538670742150606117"
        },
        {
          "file": "src/app/journal/journal-home/tabbar/tabbar.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-home/tabbar/tabbar.component.spec.ts",
          "hash": "7652537755353269749",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-home/tabbar/tabbar.component.ts",
          "hash": "8429684810982453832",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.html",
          "hash": "8502148333041763486"
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.spec.ts",
          "hash": "12804497023987156991",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-inventory/journal-inventory.component.ts",
          "hash": "16356252645489022753",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-routing.module.ts",
          "hash": "9530435048090658905",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/router"
          ]
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.html",
          "hash": "15891558825059246334"
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.spec.ts",
          "hash": "3530217290158958836",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellbook/journal-spellbook.component.ts",
          "hash": "17730394119497745611",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.html",
          "hash": "3897285187042343351"
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.spec.ts",
          "hash": "10029993329637578734",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-spellcards/journal-spellcards.component.ts",
          "hash": "2237980978798793894",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-field/attribute-field.component.html",
          "hash": "9024534874493300578"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-field/attribute-field.component.scss",
          "hash": "3856898565008644129"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-field/attribute-field.component.spec.ts",
          "hash": "9995278187699353261",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-field/attribute-field.component.ts",
          "hash": "11963162387051967884",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.html",
          "hash": "4850538052580071000"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.scss",
          "hash": "3627805065516037557"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.spec.ts",
          "hash": "5537060081664104293",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/attribute-skill-container.component.ts",
          "hash": "17315188213986972575",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-field/skill-field.component.html",
          "hash": "14283292669337401365"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-field/skill-field.component.scss",
          "hash": "9550902261904760938"
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-field/skill-field.component.spec.ts",
          "hash": "15288089006875008903",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/attribute-skill-container/skill-field/skill-field.component.ts",
          "hash": "13904722775936190894",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.html",
          "hash": "15507196007378915983"
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.scss",
          "hash": "14297671183430342787"
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.spec.ts",
          "hash": "2230077345877032420",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/journal-stats.component.ts",
          "hash": "10201122328860237445",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/armor-class/armor-class.component.html",
          "hash": "17384177107972502334"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/armor-class/armor-class.component.scss",
          "hash": "1584943167320141959"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/armor-class/armor-class.component.spec.ts",
          "hash": "7885016589540178301",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/armor-class/armor-class.component.ts",
          "hash": "2629725091948527816",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/death-save/death-save.component.html",
          "hash": "13526536880286185374"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/death-save/death-save.component.scss",
          "hash": "4565148858328409297"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/death-save/death-save.component.spec.ts",
          "hash": "10458330103405695809",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/death-save/death-save.component.ts",
          "hash": "14423826017723189655",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/exhaustion/exhaustion.component.html",
          "hash": "754706211082676492"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/exhaustion/exhaustion.component.scss",
          "hash": "7630085903635964409"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/exhaustion/exhaustion.component.spec.ts",
          "hash": "2612803048738019953",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/exhaustion/exhaustion.component.ts",
          "hash": "258224097657476798",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.html",
          "hash": "13189738338118270744"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.spec.ts",
          "hash": "10260975421299176539",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/hit-dice/hit-dice.component.ts",
          "hash": "11886022621967796177",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/initiative/initiative.component.html",
          "hash": "234894445009395777"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/initiative/initiative.component.scss",
          "hash": "6938095895768334227"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/initiative/initiative.component.spec.ts",
          "hash": "6263036010306191654",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/initiative/initiative.component.ts",
          "hash": "17131953362261295570",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.html",
          "hash": "13182070575512667342"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.scss",
          "hash": "15593043210991271857"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.spec.ts",
          "hash": "12862400960872945474",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/life-container.component.ts",
          "hash": "2260370434516249105",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/movement/movement.component.html",
          "hash": "15242814665580998075"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/movement/movement.component.scss",
          "hash": "4637885015985919982"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/movement/movement.component.spec.ts",
          "hash": "8490978152062336809",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/movement/movement.component.ts",
          "hash": "9322310987979440470",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/proficiency/proficiency.component.html",
          "hash": "827741568260853398"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/proficiency/proficiency.component.scss",
          "hash": "7317795114361662562"
        },
        {
          "file": "src/app/journal/journal-stats/life-container/proficiency/proficiency.component.spec.ts",
          "hash": "9318949530362603290",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/life-container/proficiency/proficiency.component.ts",
          "hash": "18030533470703982117",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.html",
          "hash": "9857871757360119395"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.scss",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.spec.ts",
          "hash": "9187743602109495088",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal-stats/weapons-container/weapons-container.component.ts",
          "hash": "2043665794954103965",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/app/journal/journal.module.ts",
          "hash": "16953805207761950445",
          "deps": [
            "npm:@angular/core",
            "npm:@angular/common",
            "npm:@ng-bootstrap/ng-bootstrap",
            "npm:@angular/forms"
          ]
        },
        {
          "file": "src/assets/.gitkeep",
          "hash": "3244421341483603138"
        },
        {
          "file": "src/assets/images/background-dark.jpg",
          "hash": "540623188092463131"
        },
        {
          "file": "src/assets/images/background-light.jpg",
          "hash": "7928188835083576026"
        },
        {
          "file": "src/favicon.ico",
          "hash": "3464744996580215640"
        },
        {
          "file": "src/index.html",
          "hash": "9553456579281318800"
        },
        {
          "file": "src/interfaces/attribute.ts",
          "hash": "12288081545829416271"
        },
        {
          "file": "src/interfaces/character.ts",
          "hash": "18101483097790988209"
        },
        {
          "file": "src/interfaces/skill.ts",
          "hash": "17433380895820800435"
        },
        {
          "file": "src/localbase.d.ts",
          "hash": "2229634263832852324"
        },
        {
          "file": "src/main.ts",
          "hash": "10534058702020715515",
          "deps": [
            "npm:@angular/platform-browser-dynamic"
          ]
        },
        {
          "file": "src/services/data/data.service.spec.ts",
          "hash": "7752277138120921839",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/data/data.service.ts",
          "hash": "12765815151183222658",
          "deps": [
            "npm:@angular/core",
            "npm:localbase",
            "npm:@angular/router",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/services/database/database.service.spec.ts",
          "hash": "5101830244515408959",
          "deps": [
            "npm:@angular/core"
          ]
        },
        {
          "file": "src/services/database/database.service.ts",
          "hash": "6677173886659289404",
          "deps": [
            "npm:@angular/core",
            "npm:rxjs"
          ]
        },
        {
          "file": "src/styles.scss",
          "hash": "9676253888508844234"
        },
        {
          "file": "tsconfig.app.json",
          "hash": "1081049283653856346"
        },
        {
          "file": "tsconfig.json",
          "hash": "1047940026627514556"
        },
        {
          "file": "tsconfig.spec.json",
          "hash": "8544468366590402334"
        },
        {
          "file": ".nx/cache/terminalOutputs/1652787271722402980",
          "hash": "3244421341483603138"
        }
      ]
    }
  }
}
